## Dataset
We divided the data into two directories: ACA for academic documents (75 cases) and WEB for documents extracted from web articles (24 cases).

Each folder has the following structure:
- encoding: JSON files with information on the visual encoding of the figures for each case (see visual encoding format).
- gold: gold standard links (see output format).
- charttext: output obtained using our method (see output format). 
- imgs: contains the images in PNG format for each case.
- textual_elements: dictionary with textual elements information for each case (see textual elements format). 

### Visual encoding format
- image_path: name of the figure
- paragraph: paragraph associated with the figure
- encoding:
    - type: type of chart, can be: bar, line or scatter.
    - x|y|c: refers to the visual channel (x: x channel, y: y channel and c: color channel).
        - field: the text of the axis title if x or y channel, the color label for the c channel.
        - field_bbox: bounding box of the field in the format [x1, y1, x2, y2].
        - scale: information about the scale of the visual channel.
            - type: type of the scale. It can be: continuous, nominal or ordinal
            - datatype: data type of the scale.  It can be: number or string.
            - domain: if the scale type is continuous it represents the domain of the scale with a pair of numeric values in the following format: [lower_limit, upper_limit]. If the scale type is ordinal or nominal it is a list of strings with one value for each scale element e.g., ["VALUE 1", "VALUE 2", "VALUE 3"].
            - range: if the scale type is continuous the range is represented by a list of two pairs, each pair is the initial and final position in pixels [x,y] that maps to each value of the domain. e. g, if the domain is [0, 10] (the values on the axis of the graph go from 0 to 10), the range must have the following format [[x1, y1], [x2, y2]] where [x1, y1] are the coordinates in pixels that correspond to the domain value 0 and [x2, y2] to the domain value 10. If the scale type is ordinal or nominal the range is a list of bounding boxes in the format [x1,y1,x2,y2] of each element of the domain.

### Textual elements format
CSV file with the information of each textual element extracted from the visual encoding for each case.
- index: index of the textual element
- value: text with which the element appears in the graphic. When the element is an axis of the chart this value is empty.
- role: role of the textual element in the chart. It can be: tick (for axis values) or title (for axis titles or color legends).
- channel: visual channel of the element. It can be: x, y or c (color).
- domain: domain of the textual element extracted from the visual encoding.
- range: range of the textual element extracted from the visual encoding.

### Output format
Reference: contains a list of grouped links. Each grouped link has the following format:
- elements: a list of the textual elements in the group.
    - index: index of the textual element appearing in textual_elements/[case_name]-te.csv
    - value: text of the textual element appearing in the graphic.
- phrases: a list of the phrases associated with the textual elements.
    - start: index of the character where the phrase begins in the paragraph.
    - end: index of the character where the phrase ends in the paragraph.
